CXX=g++
CPPFLAGS=-Wall -g -std=c++0x

all: people
	
people: main.o person.o
	g++ $(CPPFLAGS) person.o main.o -o people

main.o: main.cpp person.o person.h
person.o: person.cpp person.h
test: people
	./people < test.txt

clean:
	rm -fv people *.o

debug: people
	gdb people
